@echo "%~dp0Rtkfilter.inf"  
pnputil -i -a "%~dp0Rtkfilter.inf"
@echo Done

:checkver
set driver_name=RTK_BT
DeviceCheck.exe /VER /D /S:"USB\VID_0CB5&PID_C547" /V:"2.8.1053.3000"
if "%errorlevel%" == "0" goto success
goto install_fail

:success
echo installation_pass >> c:\windows\temp\%driver_name%.log
goto end

:install_fail
echo %driver_name%_installation_fail >> c:\windows\temp\Install_fail.log

:end